cancel
Showing results for 
Search instead for 
Did you mean: 

PSoC 5, 3 & 1

Anonymous
Not applicable

Hi 

   

I am looking to use a Cy8Ckit-059 and PSOC creator to make a variable square wave generator using a potentiometer to change the frequency, and a 4 digit, 7 segment LED to show the change in frequency. I want to program the chip, and power the entire thing with a 9V battery, and have it be mobile and not connected to a computer. 

   

Requirements 

   

frequency: 10-100 Hz

   

4 digit-7 segment cathode -LED display

   

potentiometer to set the frequency

   

a stop/pause button..

   

and I would preferably like to use mostly logic gates, I already have an idea of what it is going to look like, I just don't have a lot of experience using PSOC creator. Thank you. 

0 Likes
4 Replies
odissey1
Honored Contributor II
        Check this component and examples provided http://www.cypress.com/forum/psoc-community-components/dds24-24-bit-dds-arbitrary-frequency-generato... Use rotary encoder instead of pot- it is more convenient, precise and more affordable.   
0 Likes
Anonymous
Not applicable

Hey Odissey 

   

I saw that application, I have trying to upload it to the dependencies library....it keep giving me an error 

   

"info: gd.M0106: Error found while loading "C:\User\mada0\DDS24_lib\DDS24_lib.cylib\DDS24_V0_\DDS24_vo_o.cysch"file. this file would not be considered in teh update process. "

   

I am very new to PSOC so I have been struggling with this. 

   

 

   

I was alo wondering if it was possible to uses internal Nand gates, and external resistors/potentiometer, and capacitors to drive the wave form generation, and frequency. 

0 Likes
odissey1
Honored Contributor II

that should be possible too, check for example this youtube video. But using DDS it all can be done inside PSoC with very high precision. 

   

https://youtu.be/FaoJaLmZaL4?list=WL

0 Likes
odissey1
Honored Contributor II

mada,

   

1. You do not need to open .lib file in explorer; instead open one of the examples provided with the component. If you unzip both DDS24_lib.zip and DDS24_demos.zip in the same root folder, then all demos should recognize DDS24_lib dependency automatically, because it relies on a relative path.

   

To add the DDS24 library file to the dependecies list (in any other project), please follow this video for (3-mouse click) instructions:

   

http://www.cypress.com/resource-types/video/psoc-creator-tutorial-compon...

   

 

   

In short:

   

1. Unzip DDS24_lib.zip

   

2. goto Project->Dependencies->Add library-> ..\DDS24_lib\DDS24_lib.cyprj. Done!

   

 

   

2. Upgrade your Creator (3.1) to the latest version (4.0?)

   

3. It seems that you are using KIT-059, and that it asking for firmware upgrade (seems all -059 are shipped with old firmware, which need upgrade before used). If this is the case make a firmware update:  Programmer->Utilities Button "Upgrade Firmware". 

0 Likes